<?php
class DespublicarPackPromocionAction extends wtActions
{
    public function execute()
    {
        $s_Id       = $this->getRequestParameter( 'Id' );
        $a_Rs = array( "error" => false, "id" => $s_Id );
        
        try 
        {
            $o_MKT_PromocionCabDP = new MKT_PromocionCabDP();
            $o_MKT_PromocionCabDP->setIdPromoCab( ( int ) $s_Id );
            $o_MKT_PromocionCabDP->setEstadoPromo( "PE" );
            $o_MKT_PromocionCabDP->setUsuarioModificacion( myUser::getUser()->getUserId() );
            $o_MKT_PromocionCabDP->setFechaModificacion( date( "Y-m-d H:i:s" ) );
            $o_MKT_PromocionCabDP->update();
            
        }
        catch ( Exception $o_Exception )
        {
            $a_Rs['error']   = true;
            $a_Rs['mensaje_error_ex'] = $o_Exception->getMessage();
            $a_Rs['mensaje_error'] = $o_Exception->getMessage();
        }
        echo json_encode( $a_Rs );
        return ViewResponse::NONE;
    }
}